#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n,k;
    cin>>n>>k;
    int a[n];
    int b[2*n+1];
    vector <int>niz(2*n+1);

    for(int i=0;i<n;i++)
        cin>>a[i];

    for(int i=0;i<2*n+1;i++)
        b[i]=0;

    for(int i=0;i<2*n+1;i++)
    {
        for(int j=0;j<n;j++)
        {
            if(a[j]==i-n)
            b[i]++;
        }

    }
    int brojac=0;
    for(int i=0;i<2*n+1;i++)
     {
        if(b[i]>=k)
         {
             niz[brojac]=i-n;
             brojac++;
         }
     }
     cout<<brojac<<endl;
     for(int i=0;i<brojac;i++)
        cout<<niz[i]<<" ";

    return 0;
}